=== debian/changelog ===
clatd (2.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2025 19:56:25 -0500

clatd (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1098505)

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 21 Feb 2025 16:13:54 +0100
