=== debian/control ===
Source: clatd
Section: net
Priority: optional
Maintainer: Daniel Gröber <dxld@darkboxed.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/toreanderson/clatd
Vcs-Git: https://salsa.debian.org/debian/clatd.git
Vcs-Browser: https://salsa.debian.org/debian/clatd

Package: clatd
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 tayga,
Description: CLAT and SIIT-DC ER with many XLAT engines
 The clatd script makes it easy to set up packet translation between IPv6
 and IPv4 networks.
 .
 Supported deployment models include:
 .
   - IPv6-only/IPv6-mostly LANs (RFCs pending),
   - ISPs using 464XLAT (RFC 6877) and
   - Data centers using SIIT-DC (RFC 7755).
 .
 An RFC for the LAN deployment is currently in the works, see "6mops" IETF
 draft.
 .
 When used on a LAN it is currently advisable to run clatd (or another CLAT
 implementation) on all end-user computers. While the DNS64 (RFC 6147)
 mechanism can help to make this less necessary and instead rely on the
 network-wide NAT64 (RFC 6146) translation service this is considered at
 best a transitory hack. Even if DNS64 is technically acceptable it is
 challanging because some applications may use "address literals" directly
 instead of relying on DNS to resolve names to addressess.
