=== debian/watch ===
version=4
https://github.com/toreanderson/clatd/tags .*/v?(\d.*).tar.gz
