=== debian/changelog ===
clatd (2.1.0-3) unstable; urgency=medium

  * Move NetworkManager dispatcher script to /usr/lib (Closes: #1110678)
  * Fix systemd units not getting installed (Closes: #1101004)
  * Add patch "Allow reading multiple config files"
  * Add patch "Read global and interface specific config file"
  * Install example clatd.conf conffile
  * Use tayga-core to prevent unneeded NAT64 service running
  * Add ifupdown integration using `464xlat clatd` stanza
  * Enable installing clatd@ in Makefile patch
  * Add patch "Use IPv4 dummy address as default for tayga-v4-addr"

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 17 Nov 2025 14:34:56 +0100

clatd (2.1.0-2) unstable; urgency=medium

  * No change Soure-only upload for testing migration

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 16 Apr 2025 19:56:40 +0200

clatd (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Add missing perl dependencies (Closes: #1100863)

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 25 Mar 2025 17:58:09 +0100
