=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
 Depends:
  ${perl:Depends},
  ${misc:Depends},
- tayga,
-Description: CLAT and SIIT-DC ER with many XLAT engines
+ tayga-core | tayga,
+ libnet-ip-perl,
+ libnet-dns-perl,
+Description: 464XLAT (CLAT) and SIIT-DC (ER) network architecture support
  The clatd script makes it easy to set up packet translation between IPv6
  and IPv4 networks.
  .
